Bug 483406 - Review Request: perl-Text-CSV - Comma-separated values manipulator
Review Request: perl-Text-CSV - Comma-separated values manipulator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-31 16:52 EST by Johan Vromans
Modified: 2014-01-13 08:35 EST (History)
8 users (show)

See Also:
Fixed In Version: 1.10-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-15 19:29:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rc040203: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Johan Vromans 2009-01-31 16:52:02 EST
Spec URL: http://www.squirrel.nl/pub/xfer/perl-Text-CSV.spec
SRPM URL: http://www.squirrel.nl/pub/xfer/perl-Text-CSV-1.10-1.fc11.src.rpm

I packaged this module since Text::CSV seems to be preferred over Text::CSV_XS.

The spec and srpm are rpmlint free of errors and warnings.
If you like this please consider sponsoring me.

Description of Text::CSV:
Text::CSV provides facilities for the composition and decomposition of
comma-separated values.  An instance of the Text::CSV class can combine
fields into a CSV string and parse a CSV string into fields.

The module accepts either strings or files as input and can utilize any
user-specified characters as delimiters, separators, and escapes so it is
perhaps better called ASV (anything separated values) rather than just CSV.
Comment 1 Johan Vromans 2009-01-31 16:54:38 EST
Latest koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1096643
Comment 2 Ralf Corsepius 2009-02-01 22:59:21 EST
Clean package.

APPROVED
Comment 3 Johan Vromans 2009-04-22 07:46:36 EDT
New Package CVS Request
=======================
Package Name: perl-Text-CSV
Short Description: Handling data with comma-separated values
Owners: sciurius
Branches: F-10 F-11
InitialCC:
Comment 4 Kevin Fenzi 2009-04-23 12:27:41 EDT
cvs done.
Comment 5 Fedora Update System 2009-04-27 14:38:47 EDT
perl-Text-CSV-1.10-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Text-CSV-1.10-1.fc10
Comment 6 Fedora Update System 2009-04-27 14:38:52 EDT
perl-Text-CSV-1.10-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Text-CSV-1.10-1.fc11
Comment 7 Fedora Update System 2009-04-27 21:21:00 EDT
perl-Text-CSV-1.10-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Text-CSV'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4080
Comment 8 Fedora Update System 2009-05-09 00:09:49 EDT
perl-Text-CSV-1.10-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Text-CSV'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4475
Comment 9 Fedora Update System 2009-05-15 19:29:05 EDT
perl-Text-CSV-1.10-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-15 19:30:04 EDT
perl-Text-CSV-1.10-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Michal Ingeli 2009-12-28 07:30:43 EST
Package Change Request
======================
Package Name: perl-Text-CSV
New Branches: EL-5
Owners: sciurius ksyz

The EL-5 branch is needed for MySQL-zrm in EPEL. There is a report (#550192), that MySQL-zrm wont install on el5 and in fact, it misses dependencies like perl(Data::Report) and perl(Text::CSV) that are not branched and build for epel.

I sent notification and request for EL-5 branch to he package owner few day ago. For owner, feel free to take over this branch.

Package builds in mock without problem.
Comment 12 Johan Vromans 2009-12-28 13:36:53 EST
I do not have any particular interest in EPEL. I don't mind building for EPEL either provided someone can tell me what to do (in trivial steps).
Comment 13 Kevin Fenzi 2009-12-28 22:02:09 EST
See: https://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies

The infrastructure is all the same as the F-* branches... just need to be more conservative pushing updates and new versions. 

Shall I process the request from comment 11?
Comment 14 Michal Ingeli 2009-12-29 03:11:24 EST
(In reply to comment #12)
> I do not have any particular interest in EPEL. I don't mind building for EPEL
> either provided someone can tell me what to do (in trivial steps).

Packages are handled more sensitively, tested, trying not to break things and change API and so.

I'm willing to maintain the EPEL branch.

(In reply to comment #13)
> Shall I process the request from comment 11?  

If there is no problem, please proceed.
Comment 15 Johan Vromans 2009-12-29 04:03:57 EST
That's fine with me. It might be a good idea to have a separate maintainer for the EL branches.
Comment 16 Kevin Fenzi 2010-01-02 15:23:26 EST
cvs done.
Comment 17 Fedora Update System 2010-01-03 08:41:19 EST
perl-Text-CSV-1.10-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Text-CSV-1.10-3.el5
Comment 18 Michal Ingeli 2010-01-03 08:43:19 EST
Thanks for cvs
Comment 19 Fedora Update System 2010-01-18 18:20:57 EST
perl-Text-CSV-1.10-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Lubomir Rintel 2014-01-13 08:19:22 EST
Package Change Request
======================
Package Name: perl-Text-CSV
New Branches: epel-7
Owners: lkundrak
InitialCC: ksyz

Maintainer is not interested in maintaining EPEL branches (confirmed via e-mail and see above as well). ksyz is no longer maintaining the el5 branch, likely as he never changed his ssh key and his account is now denied access to the packages.
Comment 21 Gwyn Ciesla 2014-01-13 08:35:30 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.